Bug 12613 - Bad handling of "#" character when create torrent
: Bad handling of "#" character when create torrent
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/ktorrent)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-08-22 23:58 by
Modified: 2008-06-06 08:46 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-08-22 23:58:15
Если при создании торрента указывать директорию, в пути к которой присутствует
символ "#", в получаемом торренте название корневой директории не соответствует
исходному названию целевой директории
Steps to Reproduce:
1. клик "Создать торрент"
2. указать директорию, например /home/music/#jazz/Andrew Hill - Pax
[2006][Jazz][www bitmp3 com]/
3. нажать "create"
Actual Results:  
Корневая директория в полученном торренте имеет название "music"

Expected Results:  
Корневая директория в полученном торренте должна иметь название "Andrew Hill -
Pax [2006][Jazz][www bitmp3 com]"
------- Comment #1 From 2007-08-22 23:59:58 -------
o_O Component почему-то "bugzilla-perl", вместо "ktorrent". Перевешиваю.
------- Comment #2 From 2007-08-23 00:01:40 -------
Не получилось - компонент не изменился. Бага в багзилле? Ладно, перевешиваю на
сизифный пакет.
------- Comment #3 From 2007-08-23 00:03:01 -------
Reassign to package maintainer
------- Comment #4 From 2007-08-23 01:54:52 -------
Back to 4.0
------- Comment #5 From 2007-08-23 01:55:54 -------
Похоже на багу
------- Comment #6 From 2007-10-03 17:58:02 -------
Почему до сих пор нет реакции майнтейнера?
------- Comment #7 From 2007-10-03 18:16:58 -------
Не дошли еще руки. А робот, регулярно напоминающий о NEW багах куда-то пропал.
------- Comment #8 From 2008-03-29 17:37:20 -------
Fixed in 2.2.5-alt2
------- Comment #9 From 2008-06-06 08:46:57 -------
Работает.